ChartDirector Ver 5.0 (PHP Edition)

AngularMeter.addRing

Usage

addRing(startRadius, endRadius, fillColor [, edgeColor ])

Description

Adds a circular ring or a circle to the meter.
A ring is the region between two concentric circles. This method is most often used for adding circular borders and backgrounds for the meter, and for some other decorative purposes. For example, one can add a circle with a metallic background color as the 'face' of the meter meter using this method.

Arguments

Argument | Default | Description
--- | --- | ---
startRadius | (Mandatory) | The starting radius of the ring in pixels. To add a circle, set the start radius to 0.
endRadius | (Mandatory) | The ending radius of the ring in pixels.
fillColor | (Mandatory) | The fill color of the ring.
edgeColor | -1 | The edge color of the ring. The default is the same as the fill color.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.